<img src="https://github.com/InvoiceShelf/InvoiceShelf/assets/5760249/70c0ea3a-b497-4d9a-96f5-b15d112d6f59">

## Introduction

InvoiceShelf is an open-source web & mobile app that helps you track expenses, payments & create professional invoices & estimates.

InvoiceShelf is a fork of [Crater](https://crater.finance) that focuses in stability, updates and new features.

The Web Application is made using Laravel & VueJS while the Mobile Apps are built using React Native.

**NOTE:** The docker image files are moved into a separate repository [InvoiceShelf/docker](https://github.com/InvoiceShelf/docker).

# Table of Contents

1. [Documentation](#documentation)
2. [Download](#download)
3. [Mobile Apps](#mobile-apps)
4. [Discord - **NEW**](#discord) 🔥
5. [Roadmap](#roadmap)
6. [Credits](#credits)
7. [Help us translate](#translate)
8. [License](#license)

## Documentation

- [Installation Steps](https://docs.invoiceshelf.com/installation.html)
- [User Guide](https://docs.invoiceshelf.com/)
- [Developer Guide](https://docs.invoiceshelf.com/developer-guide.html)
- [API Documentation](https://api-docs.invoiceshelf.com)

## Download

- [Download Link](https://invoiceshelf.com/downloads)

## Mobile Apps

- Andorid - Coming Soon
- IOS - Coming Soon
- [Source](https://github.com/InvoiceShelf/mobile)

## Discord

Join the InvoiceShelf discord server to discuss:
[Invite Link](https://discord.gg/eHXf4zWhsR)

## Roadmap

~~Here's a rough roadmap of things to come (not in any specific order):

- [x] Automatic Update
- [x] Email Configuration
- [x] Installation Wizard
- [x] Address Customisation & Default notes
- [x] Edit Email before Sending Invoice
- [x] Available as a docker image
- [x] Performance Improvements
- [x] Customer View page
- [x] Add and Use Custom Fields on Invoices & Estimates.
- [x] Multiple Companies
- [x] Recurring Invoices
- [x] Customer Portal
- [x] Accept Payments (Stripe Integration)
- [x] White Labeling (Easy Invoice, Email & Consumer Portal Theme customisation)
- [ ] Modules API
- [ ] Blockchain Integration
- [ ] Web 3.0 Accounting
- [ ] Vendors & Bills
- [ ] Inventory Management 
- [ ] Payment Reminders
- [ ] Improve Accessibility
- [ ] Debit & Credit Notes
- [ ] Time Tracking
- [ ] Full service Payroll


## Copyright

- © 2024 IDEOLOGIX MEDIA DOOEL.
- © 2022 Crater Invoice, Inc

**Special thanks to:**

- [Crater](https://crater.finance/)
- [Birkhoff Lee](https://github.com/BirkhoffLee)
- [Akaunting](https://github.com/akaunting/akaunting)
- [MakerLab](https://github.com/MakerLab-Dev)
- [Sebastian Cretu](https://github.com/sebastiancretu)
- [Florian Gareis](https://github.com/TheZoker)

## Translate

Help us translate on https://crowdin.com/project/invoiceshelf

**Thanks to Translation Contributors:**

- [Hassan A. Ba Abdullah (Arabic)](https://github.com/hsnapps)
- [Clément de Louvencourt (French)](https://github.com/PHClement)
- [Robin Delattre (French)](https://github.com/RobinDev)
- [René Loos (Dutch)](https://github.com/Loosie94)
- [Stefan Azarić (Serbian)](https://github.com/azaricstefan)
- [Emmanuel Lampe (German)](https://github.com/rexlManu)
- [edevrob (Latvian)](https://github.com/edevrob)

## License

InvoiceShelf is released under the GNU AFFERO GENERAL PUBLIC LICENSE Version 3.
See [LICENSE](LICENSE) for details.
